### Hierarchy

- AttachmentLike
  - IcalAttachment

## Index

### Properties

- content
- encoding
- filename
- href
- method
- path

## Properties

### Optional content

content: string | Buffer | Readable

Inherited from AttachmentLike.content

- Defined in node_modules/@types/nodemailer/lib/mailer/index.d.ts:35

String, Buffer or a Stream contents for the attachmentent

### Optional encoding

encoding: undefined | string

- Defined in node_modules/@types/nodemailer/lib/mailer/index.d.ts:67

defines optional content encoding, eg. ‘base64’ or ‘hex’. This only applies if the content is a string. By default an unicode string is assumed.

### Optional filename

filename: string | false

- Defined in node_modules/@types/nodemailer/lib/mailer/index.d.ts:63

optional filename, defaults to ‘invite.ics’

### Optional href

href: undefined | string

- Defined in node_modules/@types/nodemailer/lib/mailer/index.d.ts:65

is an alternative for content to load the calendar data from an URL

### Optional method

method: undefined | string

- Defined in node_modules/@types/nodemailer/lib/mailer/index.d.ts:61

optional method, case insensitive, defaults to ‘publish’. Other possible values would be ‘request’, ‘reply’, ‘cancel’ or any other valid calendar method listed in RFC5546. This should match the METHOD: value in calendar event file.

### Optional path

path: string | Url

Inherited from AttachmentLike.path

- Defined in node_modules/@types/nodemailer/lib/mailer/index.d.ts:37

path to a file or an URL (data uris are allowed as well) if you want to stream the file instead of including it (better for larger attachments)

Generated using TypeDoc